Subject: (urth) Other military boondoggles of the New Sun

From: Paul C Duggan <pduggan at world.std.com>
Date: Mon, 19 Oct 1998 14:02:41 +0000

Anybody have a problem with:

1. Dwarves on the shoulders of BLIND giants?

2. shock cavalry made up of women riding arsinothers (iirc)?

2a. Cavalry in the New Sun is ostensibly super fast genetically engineered
horses that can run 100mph. This is to counteract the high Rate of Fire of
the pyrotechnic weaponry. The arsinothers are not genetically engineered
to be super fast (are they?) so how do they avoid getting roasted?

Paul "a miniture wargame using new sun units would be visually appealing
at least" Duggan

*More Wolfe info & archive of this list at http://www.urth.net/urth/